Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui.calendar
Class NoteBox

    java.lang.Object
      net.sf.borg.ui.calendar.Box
          net.sf.borg.ui.calendar.NoteBox

All Implemented Interfaces:
  Box.Draggable

    public class NoteBox

extends Box
implements Box.Draggable

A Note Box is used to draw an untimed event on the day/week/month panels

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.borg.ui.calendar.Box
`Box.Draggable`

Field Summary

Fields inherited from class net.sf.borg.ui.calendar.Box
`bounds, clip, isSelected`

Constructor Summary
`NoteBox(Date d, CalendarEntity ap, Rectangle bounds, Rectangle clip)` constructor

Method Summary
`void` | `delete()` delete the box
`void` | `draw(Graphics2D g2, Component comp)` draw the box
`JPopupMenu` | `getMenu()` get the popup menu
`String` | `getText()` get the box text
`String` | `getToolTipText()` gets the tool tip text for this box
`void` | `move(int realtime, Date d)` react to a drag of this box on the UI
`void` | `onClick()` action called when the box is clicked

Methods inherited from class net.sf.borg.ui.calendar.Box
`clicksToActivate, getBounds, setBounds, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoteBox

    public NoteBox(Date d,
                   CalendarEntity ap,
                   Rectangle bounds,
                   Rectangle clip)

  constructor

  Parameters:
    `d` - date that the box is on
    `ap` - the calendar entity
    `bounds` - bounds
    `clip` - clip

Method Detail

### delete

    public void delete()

  Description copied from class: `Box`
  delete the box

  Overrides:
    `delete` in class `Box`

### draw

    public void draw(Graphics2D g2,
                     Component comp)

  draw the box

  Specified by:
    `draw` in class `Box`
  Parameters:
    `g2` - the Graphics2D to draw in
    `comp` - that contains the Graphics2D

### getMenu

    public JPopupMenu getMenu()

  get the popup menu

  Overrides:
    `getMenu` in class `Box`
  Returns:
    the popup menu

### getText

    public String getText()

  Description copied from class: `Box`
  get the box text

  Specified by:
    `getText` in class `Box`
  Returns:
    the text

### move

    public void move(int realtime,
                     Date d)
              throws Exception

  react to a drag of this box on the UI

  Specified by:
    `move` in interface `Box.Draggable`
  Parameters:
    `realtime` - time of day in minutes to which the object has been dragged
    `d` - date that the object was dragged to
  Throws:
    `Exception`

### onClick

    public void onClick()

  Description copied from class: `Box`
  action called when the box is clicked

  Specified by:
    `onClick` in class `Box`

### getToolTipText

    public String getToolTipText()

  Description copied from class: `Box`
  gets the tool tip text for this box

  Specified by:
    `getToolTipText` in class `Box`
  Returns:
    the tool tip text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic